from pydantic import BaseModel
from typing import List, Optional

class Token(BaseModel):
    access_token: str
    token_type: str

class TokenData(BaseModel):
    user_id: str
    user_name: str
    project_id: str
    role_id: int

class SwitchProject(BaseModel):
    project_id: str
    user_id: str
    user_name: str
    role_ids: List[str] = []
